package com.tykj.dev.config.base;

import com.tykj.dev.config.domin.SystemConfig;
import lombok.AllArgsConstructor;

/**
 * @author dengdiyi
 * 装备可见范围枚举
 */

@AllArgsConstructor
public enum DeviceInvisibleRange {
    /**
     * 省一级
     */
    SHEN(1, "省一级"),
    /**
     * 市一级
     */
    SHI(2, "市一级"),
    /**
     * 县一级
     */
    XIAN(3, "县一级");

    public Integer id;

    public String name;

    public SystemConfig toDo(){
        SystemConfig systemConfig = new SystemConfig();
        systemConfig.setValue(id);
        systemConfig.setLabel(name);
        systemConfig.setChineseName("可见范围");
        systemConfig.setEnglishName("invisibleRange");
        return systemConfig;
    }
}
